
TYPO3.Media - Bug # 54351

Status: Resolved Priority: Should have
Author: Thierry Brodard Category:
Created: 2013-12-12 Assigned To:
Updated: 2014-08-05 Due date:
Subject: Selection of media in thumbnail view give an error 500
Description

In list view, everything is fine

History
#1 - 2013-12-13 09:48 - Arjen Hoekema

I'm experiencing the same behavior. Traced it down to the file 'upload.js' in package 'TYPO3.Media' line 65:

$('.asset-list').on('click', '.asset', function(e) {
    window.parent.Typo3MediaBrowserCallbacks.assetChosen($(this).attr('data-asset-identifier'));

Looks like the 'asset-identifier' data attribute in the thumbnail view is placed on the link inside the 'li.asset' while the list view places the 'asset-identifier'
and the class 'asset' both on the '<tr>'.

Possible solution would be to modify the 'ThumbnailView.html' and place the class 'asset' on the link.

#2 - 2013-12-22 12:05 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.Media has been pushed to the review server.
It is available at https://review.typo3.org/26543

#3 - 2013-12-22 12:06 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.Media has been pushed to the review server.
It is available at https://review.typo3.org/26543

#4 - 2013-12-22 12:17 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.Media has been pushed to the review server.
It is available at https://review.typo3.org/26543

#5 - 2014-08-05 11:57 - Aske Ertmann
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
